Uploaded image for project: 'Subversion'
  1. Subversion
  2. SVN-3394

Subversion 1.5 SASL doesn't work correctly with Kerberos cross-realm authentication

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Open
    • Priority: Major
    • Resolution: Unresolved
    • Affects Version/s: 1.5.x
    • Fix Version/s: unscheduled
    • Component/s: svnserve
    • Labels:

      Description

      Subversion 1.5 SASL doesn't work correctly with Kerberos cross-realm authentication.
      
      The SASL support in
      Subversion 1.5 blindly removes realm specifiers from the user's
      authentication.
      
      Patch Created By: Alec Kloss
      

      http://subversion.tigris.org/ds/viewMessage.do?dsForumId=462&dsMessageId=1372321
      http://mid.gmane.org/20090321010644.GR22624@hamlet.SetFilePointer.com

      Original issue reported by gavinbaumanis

        Attachments

        1. 1_sasl-patch.txt
          6 kB
          Subversion Importer

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              subversion-importer Subversion Importer
            • Votes:
              0 Vote for this issue
              Watchers:
              0 Start watching this issue

              Dates

              • Created:
                Updated: